REISERFSCK(8)

NOM
reiserfsck - Vérifier un système de fichiers ReiserFS

SYNOPSIS
reiserfsck [ -aprVy ] [ --rebuild-sb | --check | --fix-fixable | --rebuild-tree | --clean-attributes ] [ -j | --journal périphérique ] [ -z | --adjust-size ] [ -n | --nolog ] [ -B | --badblocks fichier ] [ -l | --logfile fichier ] [ -q | --quiet ] [ -y | --yes ] [ -f | --force ] [ -S | --scan-whole-partition ] [ --no-journal-available ] périphérique

DESCRIPTION
reiserfsck recherche un système de fichiers Reiserfs sur un périphérique, rejoue toute transaction si nécessaire et vérifie ou répare le système de fichiers.

périphérique
    fichier spécial correspondant à un périphérique ou une partition (par exemple /dev/hdXX, correspondant à une partition d'un disque IDE ou /dev/sdXX pour celle d'un disque SCSI).

OPTIONS

--rebuild-sb
    Cette option récupère le super-bloc d'une partition Reiserfs. Normalement vous n'avez besoin de cette option que si mount indique « read_super_block: can't find a reiserfs file system » et que vous êtes sûr qu'il y a un système de fichiers Reiserfs à cet endroit. Mais rappelez vous que si vous avez utilisé un éditeur de partition et que vous ne pouvez plus trouver le système de fichiers, quelque chose s'est sûrement mal passé lors du re-partitionnement et le début de la partition a été modifié. Dans ce cas, au lieu de reconstruire un super-bloc au mauvais endroit, vous devriez tout d'abord trouver le début de la partition.

--check
    Cette action par défaut vérifie la cohérence et de fournit un rapport, mais ne corrige pas les corruptions trouvées. Cette option peut être utilisée sur un système de fichiers monté en lecture seule.

--fix-fixable
    Cette option corrige certain types de corruptions qui ne nécessite pas de reconstruire complètement le système de fichiers (--rebuild-tree). Normalement vous n'avez à utiliser cette option que si l'option --check indique « corruption that can be fixed with --fix-fixable ». Ceci inclut : mettre à zéro des pointeurs vers des blocs de données incorrects, corriger les champs st_size et st_blocks de répertoires et supprimer des entrées de répertoire incorrectes.

--rebuild-tree
    Cette option reconstruit complètement l'arbre du système de fichiers en utilisant les nœuds des feuilles trouvés sur le périphérique. Normalement vous n'avez besoin de cette option que si reiserfsck --check indique « Running with --rebuild-tree is required ». Vous êtes fortement encouragés à faire une copie de la partition avant d'essayer d'utiliser l'option --rebuild-tree. Une fois que reiserfsck --rebuild-tree a commencé, il doit terminer l'opération (et vous ne devez pas l'interrompre), sinon le système de fichiers se retrouvera dans un état non montable afin d'éviter toute corruption supplémentaire.

--clean-attributes
    Cette option nettoie les champs réservés des éléments « Stat-Data ». Il fut un temps où il n'y avait pas d'attributs étendus dans reiserfs. Quand ils ont été implémentés, les anciennes partitions devaient d'abord être nettoyées -- le code de reiserfs du noyau ne faisait pas attention aux champs non utilisés de ses structures. Ainsi, si vous avez utilisé un des anciens noyaux (avant l'introduction des attributs) prenant en charge les systèmes de fichiers ReiserFS et que vous souhaitez utiliser les attributs étendus, vous devez d'abord nettoyer le système de fichiers.

--journal périphérique , -j périphérique
    Cette option fournie le nom du périphérique du journal en cours du système de fichiers. Cette option est nécessaire quand le journal se situe sur un périphérique distinct du périphérique principal des données (même si elle peut être éviter par des expert en utilisant l'option --no-journal-available).

--adjust-size, -z
    Avec cette option, reiserfsck corrige les tailles des fichiers qui sont supérieures au décalage du dernier octet découvert. Ceci implique que les trous à la fin d'un fichier seront supprimés. Les tailles de fichiers qui sont inférieures au décalage du dernier octet découvert sont corrigées avec --fix-fixable.

--badblocks fichier, -B  fichier
    Cette option définie la liste des blocs défectueux comme étant la liste des blocs indiqués dans le « fichier » donné. La liste des blocs défectueux est nettoyée avant que la nouvelle liste soit ajoutée. Cette option peut être utilisée avec --fix-fixable pour corriger la liste des blocs défectueux (voir debugreiserfs -B). Si le périphérique a des blocs défectueux, ils doivent être précisés à chaque fois avec l'option --rebuild-tree.

--logfile fichier, -l  fichier
    Cette option demande à reiserfsck de fournir le rapport des corruptions qu'il trouve dans le fichier indique au lieu de la sortie d'erreur standard.

--nolog, -n
    Cette option désactive l'affichage de tout type de corruption trouvé par reiserfsck.

--quiet, -q
    Cette option désactive l'affichage de la vitesse de progression de reiserfsck.

--yes, -y
    Cette option désactive la demande d'une confirmation après avoir indiqué quoi faire. reiserfsck supposera que vous confirmer. Pour des raisons de sûreté, elle ne fonctionne pas avec l'option --rebuild-tree.

-a, -p
    Ces options sont généralement fournies par fsck -A lors de la vérification automatique des périphériques listés dans /etc/fstab. Avec ces options, reiserfsck affiche des informations sur le système de fichiers indiqué pour vérifier si des drapeaux d'erreur du super-bloc sont positionnés et pour effectuer de légères vérifications. Si ces vérifications indiquent une corruption or si le drapeau qui indique une corruption (potentiellement corrigeable) est trouvé dans le super-bloc, alors reiserfsck passe dans le mode de correction des corruptions corrigeable. Si le drapeau indiquant des corruptions fatales est positionné dans le super-bloc, alors reiserfsck se termine avec une erreur.

--force, -f
    Forcer la vérification même si le système de fichiers semble bon.

-V  Cette option affiche la version de reiserfsprogs puis quitte.

-r  Cette option ne fait rien ; elle n'est fournit que pour des raisons de compatibilité descendante.

OPTIONS POUR LES EXPERTS
N'UTILISEZ PAS CES OPTIONS À MOINS QUE VOUS SACHIEZ CE QUE VOUS FAITES. NOUS NE SOMMES PAS RESPONSABLE DES PERTES DE DONNÉES QUI RÉSULTERAIENT DE L'UTILISATION DE CES OPTIONS.

--no-journal-available
    Cette option autorise reiserfsck à continuer quand le périphérique du journal n'est pas disponible. Cette option n'a aucun effet quand le journal se trouve sur le périphérique des données. NOTE : après avoir utilisé cette option vous devez utiliser reiserfstune pour préciser un nouveau périphérique de journalisation.

--scan-whole-partition, -S
    Cette option a pour effet que --rebuild-tree analysera toute la partition au lieu de n'analyser que l'espace utilisé de la partition.

UN EXEMPLE D'UTILISATION DE reiserfsck
1. Vous pensez que quelque chose ne va pas dans une partition reiserfs sur /dev/hda1 ou vous souhaitez juste effectuer une vérification périodique du disque.

2. Exécutez reiserfsck --check --logfile check.log /dev/hda1. Si reiserfsck --check a un code de retour de 0, aucune erreur n'a été trouvée.

3. Si reiserfsck --check a un code de retour de 1 (et indique des corruptions corrigeables), vous devriez exécuter reiserfsck --fix-fixable --logfile fixable.log /dev/hda1.

4. Si reiserfsck --check a un code de retour de 2 (et indique des corruptions fatales), vous devez exécuter reiserfsck --rebuild-tree. Si reiserfsck --check échoue d'une façon ou d'une autre, vous devriez également exécuter reiserfsck --rebuild-tree, mais nous vous encourageons à soumettre un rapport de bogue pour cela.

5. Avant d'exécuter reiserfsck --rebuild-tree, veuillez faire une sauvegarde complète de la partition. Exécutez ensuite reiserfsck --rebuild-tree --logfile rebuild.log /dev/hda1.

6. Si l'étape reiserfsck --rebuild-tree échoue ou ne corrige pas ce que vous souhaitiez, veuillez soumettre un rapport de bogue. Essayez de fournir autant d'information possible sur votre plate-forme et la version du noyau Linux. Nous essaierons de corriger votre problème.

CODES DE RETOUR
reiserfsck utilise les codes de retour suivants :
0 - Aucune erreur.
1 - Erreurs du système de fichiers corrigées.
2 - Un redémarrage est nécessaire.
4 - Des erreurs fatales du système de fichiers
     n'ont pas été corrigées, vous devez utiliser
     reiserfsck --rebuild-tree.
6 - Des erreurs corrigeables du système de fichiers
     n'ont pas été corrigées, vous devez utiliser
     reiserfsck --fix-fixable.
8 - Errur d'opération.
16 - Erreur d'utilisation ou de syntaxe.

AUTEUR
Cette version de reiserfsck a été écrite par Vitaly Fertman <vitaly@namesys.com>.

BOGUES
Veuillez remonter des bogues aux développeurs ReiserFS <reiserfs-devel@vger.kernel.org> en fournissant autant d'information que possible (sur le matériel, le noyau, les patch, la configuration, les messages affichés, le fichier journal ; vérifier si le fichier syslog contient des informations qui seraient liées.

À FAIRE
correction plus rapide, gestion des signaux.

VOIR AUSSI
mkreiserfs(8), reiserfstune(8) resize_reiserfs(8), debugreiserfs(8),

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Bour, Nicolas François <nicolas.francois@centraliens.net> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.